Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Bus error compiling dev-php/php-4.4.0-r1 on Sparc UE2
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
jaxbrie
n00b
n00b


Joined: 18 May 2005
Posts: 4

PostPosted: Thu Oct 20, 2005 4:16 am    Post subject: Bus error compiling dev-php/php-4.4.0-r1 on Sparc UE2 Reply with quote

Anyone experienced this error?


Sun UE2
Linux 2.4.31-sparc #7 SMP Mon Oct 3 20:47:45 EDT 2005 sparc64 sun4u TI UltraSparc I (SpitFire) GNU/Linux
512MB
2x 150MHz

I keep getting a bus error emerging dev-php/php-4.4.0-r1
i've no idea how freetds and mssql end up in the USE flags... I sure don't have them defined...

Build complete.
(It is safe to ignore warnings about tempnam and tmpnam).

>>> Test phase [not enabled]: dev-php/php-4.4.0-r1

>>> Install php-4.4.0-r1 into /var/tmp/portage/php-4.4.0-r1/image/ category dev-php
* Running make INSTALL_ROOT=/var/tmp/portage/php-4.4.0-r1/image/ install
Installing PHP CLI binary: /var/tmp/portage/php-4.4.0-r1/image//usr/bin/
Installing PHP CLI man page: /var/tmp/portage/php-4.4.0-r1/image//usr/share/man/man1/
Installing PEAR environment: /var/tmp/portage/php-4.4.0-r1/image//usr/lib/php/
make[1]: *** [install-pear-installer] Bus error
make: *** [install-pear] Error 2

!!! ERROR: dev-php/php-4.4.0-r1 failed.
!!! Function php-sapi_src_install, Line 549, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

sphynx ~ #


this errors recurs ONLY with this package.
everytime in the same place.


>>> Unpacking source...
* If you have both freetds and mssql in your USE flags, parts of PHP
* may not behave correctly, or may give strange warnings. You have
* been warned! It's recommended that you pick ONE of them. For sybase
* support, chose 'freetds'. For mssql support choose 'mssql'.
>>> Unpacking php-4.4.0.tar.bz2 to /var/tmp/portage/php-4.4.0-r1/work
* uclibctoolize() is depreciated, please just use elibtoolize()!
* Running elibtoolize in: php-4.4.0
* Applying portage-1.4.1.patch ...
* Applying sed-1.4.3.patch ...
* Applying uclibc-conf-1.2.0.patch ...
* Applying hardening-patch-4.4.0-0.3.2.patch.gz ... [ ok ]
* Applying php4.4.0-imap-symlink.diff ... [ ok ]
>>> Unpacking php-pcrelib-new-secpatch.tar.bz2 to /var/tmp/portage/php-4.4.0-r1/work
* Applying php4.4.0-pcre-security.patch ... [ ok ]
* Updating bundled PCRE library
>>> Source unpacked.
* Enabling NBDM
* Enabling DB4
* Using INI file: /etc/php/cli-php4/php.ini
* econf: updating php-4.4.0/config.guess with /usr/share/gnuconfig/config.guess
* econf: updating php-4.4.0/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --host=sparc-unknown-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --build=sparc-unknown-linux-gnu --disable-cgi --enable-cli --with-ndbm=/usr --with-db4=/usr --with-mcrypt=/usr --with-mhash=/usr --without-ming --without-sybase --with-gdbm=/usr --without-java --without-mcal --without-unixODBC --with-pgsql=/usr --without-snmp --without-gmp --without-mssql --without-crack --without-pdflib --with-gd --enable-gd-native-ttf --with-png=/usr --with-png-dir=/usr --with-jpeg=/usr --with-jpeg-dir=/usr --enable-exif --without-tiff --without-mysql --with-freetype-dir=/usr --with-ttf=/usr --with-t1lib=/usr --with-gettext --with-pspell=/usr --without-openssl --with-imap=/usr --without-ldap --with-dom=/usr --with-dom-xslt=/usr --with-dom-exslt=/usr --without-kerberos --with-pam --disable-memory-limit --enable-ipv6 --without-yaz --disable-debug --with-curlwrappers --with-curl=/usr --enable-dbx --with-zlib=/usr --with-zlib-dir=/usr --with-sablot=/usr --enable-xslt --with-xslt-sablot --with-xmlrpc --enable-wddx --with-xml --enable-mbstring=all --enable-mbregex --with-bz2=/usr --with-cdb --enable-pcntl --enable-bcmath --enable-calendar --enable-dbase --enable-filepro --enable-ftp --with-mime-magic=/usr/share/misc/file/magic.mime --enable-sockets --enable-sysvsem --enable-sysvshm --enable-sysvmsg --with-iconv --enable-shmop --enable-dio --enable-yp --with-readline=/usr --with-ncurses=/usr --enable-inline-optimization --enable-track-vars --enable-trans-sid --enable-versioning --with-config-file-path=/etc/php/cli-php4 --libdir=/usr/lib/php --with-pear=/usr/lib/php
sandbox: Caught signal 2 in pid 12876

/usr/portage/dev-php/php/php-4.4.0-r1.ebuild: src_compile aborted; exiting.
Back to top
View user's profile Send private message
H0bb3z
Tux's lil' helper
Tux's lil' helper


Joined: 28 May 2003
Posts: 121
Location: in the transmogrifier

PostPosted: Thu Oct 27, 2005 8:29 pm    Post subject: Me too Reply with quote

I'm getting a similar error on a Netra T105 (UltraSparc III 2x450) running a 2.6 kernel:

Code:
Build complete.
(It is safe to ignore warnings about tempnam and tmpnam).

>>> Test phase [not enabled]: dev-php/php-4.4.0-r1

>>> Install php-4.4.0-r1 into /var/tmp/portage/php-4.4.0-r1/image/ category dev-php
 * Running make INSTALL_ROOT=/var/tmp/portage/php-4.4.0-r1/image/ install
Installing PHP CLI binary:        /var/tmp/portage/php-4.4.0-r1/image//usr/bin/
Installing PHP CLI man page:      /var/tmp/portage/php-4.4.0-r1/image//usr/share/man/man1/
Installing PEAR environment:      /var/tmp/portage/php-4.4.0-r1/image//usr/lib/php/
make[1]: *** [install-pear-installer] Bus error
make: *** [install-pear] Error 2

!!! ERROR: dev-php/php-4.4.0-r1 failed.
!!! Function php-sapi_src_install, Line 549, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.


It looks like everything gets compiled just fine, but when the install hits the "install-pear-installer", I get a bus error. I haven't had time to look at the details more closely though to see what
Code:
make INSTALL_ROOT=/var/tmp/portage/php-4.4.0-r1/image/ install

actually does at the point of failure...

Anyone else have anything like this?
_________________
-H0bb3z-
-----------
Intel QX9770 | 6Gb DDR3 | ATI 4870 HD 1Gb | 2xSeagate 1Tb SATAs
Running Funtoo Core2 build
Back to top
View user's profile Send private message
Ferris
Retired Dev
Retired Dev


Joined: 13 Jan 2003
Posts: 426
Location: N. Virginia (USA)

PostPosted: Fri Oct 28, 2005 2:38 pm    Post subject: Reply with quote

I'm having trouble duplicating this: Fri Oct 28 14:31:13 2005 >>> dev-php/php-4.4.0-r1 just installed for me. But, since two people are seeing it, one of you should file a bug report and provide as much information as possible, including the USE flags environment. I don't know what else to suggest.

Regards,
Ferris
Back to top
View user's profile Send private message
llongi
Retired Dev
Retired Dev


Joined: 15 Apr 2004
Posts: 459
Location: Switzerland

PostPosted: Fri Oct 28, 2005 2:56 pm    Post subject: Reply with quote

Ferris wrote:
I'm having trouble duplicating this: Fri Oct 28 14:31:13 2005 >>> dev-php/php-4.4.0-r1 just installed for me. But, since two people are seeing it, one of you should file a bug report and provide as much information as possible, including the USE flags environment. I don't know what else to suggest.


Not really since we don't accept/solve anymore installation bugs on dev-php/php (only security bugs for the present versions, and little stuff like typos, for the rest "migrate to dev-lang/php!"), this error of dev-php/php when installing PEAR also appears regularly on x86, where it's not a Bus Error bug just a Segfault... Anyway, the solution is to migrate to dev-lang/php-4* instead of using the old and deprecated dev-php/{php,php-cgi,mod_php}, dev-lang/php provides all PHP SAPIs in one ebuild and works much better, also the PEAR install error cannot happen there, since we don't install PEAR as part of PHP but externally using the dev-php/PEAR-PEAR package, so it will 100% solve this problem. :)
For more informations on dev-lang/php and how to upgrade to it:
http://svn.gnqs.org/projects/gentoo-php-overlay/file/docs/php-upgrading.html?format=raw
_________________
Best regards, Luca.
Back to top
View user's profile Send private message
jaxbrie
n00b
n00b


Joined: 18 May 2005
Posts: 4

PostPosted: Sat Oct 29, 2005 4:54 pm    Post subject: Reply with quote

It's not the only problem I've had...
I still get freezes/crashes at atimes, notably, during compiles (emerge).
There appear to be dome issue/s with sparc64 in some areas. I have not experienced
any of that on i386 platform. I have reinstalled... but (predictably) in vain. Happens with
vanilla or custom kernels.
Have switched to openbsd for my server. Will keep Gentoo on clients.
Back to top
View user's profile Send private message
H0bb3z
Tux's lil' helper
Tux's lil' helper


Joined: 28 May 2003
Posts: 121
Location: in the transmogrifier

PostPosted: Wed Nov 02, 2005 7:18 pm    Post subject: Reply with quote

CHTEKK wrote:
...Anyway, the solution is to migrate to dev-lang/php-4* instead of using the old and deprecated dev-php/{php,php-cgi,mod_php}, dev-lang/php provides all PHP SAPIs in one ebuild and works much better, also the PEAR install error cannot happen there, since we don't install PEAR as part of PHP but externally using the dev-php/PEAR-PEAR package, so it will 100% solve this problem. :)
For more informations on dev-lang/php and how to upgrade to it:
http://svn.gnqs.org/projects/gentoo-php-overlay/file/docs/php-upgrading.html?format=raw


I will give this a try when I get the time and post results if unfavorable... Thanks for the suggestion -- at least its viable as a fix for this, and my Netra needs to "get with the times" anyway to remove some of the depreciated packages... :oops:
_________________
-H0bb3z-
-----------
Intel QX9770 | 6Gb DDR3 | ATI 4870 HD 1Gb | 2xSeagate 1Tb SATAs
Running Funtoo Core2 build
Back to top
View user's profile Send private message
Auka
Tux's lil' helper
Tux's lil' helper


Joined: 01 Jul 2002
Posts: 109
Location: BaWue, Germany, Europe, Earth.

PostPosted: Thu Nov 03, 2005 8:52 pm    Post subject: Reply with quote

FYI: I get exactly the same bus error here on my U5 with dev-php/php-4.4.0-r2

Code:

# emerge info
Portage 2.0.53_rc7 (default-linux/sparc/sparc64/2005.0, gcc-3.3.6, glibc-2.3.3.20040420-r2, 2.6.13-hardened sparc64)
=================================================================
System uname: 2.6.13-hardened sparc64 sun4u
Gentoo Base System version 1.12.0_pre9
ccache version 2.4 [enabled]
dev-lang/python:     2.3.5, 2.4.2
sys-apps/sandbox:    1.2.13
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="sparc ~sparc"
AUTOCLEAN="yes"
CBUILD="sparc-unknown-linux-gnu"
CFLAGS="-mcpu=ultrasparc -O2 -pipe -fstack-protector-all -ftracer -fforce-addr -frename-registers"
CHOST="sparc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-mcpu=ultrasparc -O2 -pipe -fstack-protector-all -ftracer -fforce-addr -frename-registers"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://pandemonium.tiscali.de/pub/gentoo/ ftp://pandemonium.tiscali.de/pub/gentoo/ ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/"
LANG="de_DE@euro"
LC_ALL="de_DE@euro"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/daten/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="sparc X bash-completion berkdb bitmap-fonts bzip2 cdparanoia cdr crypt curl dlloader encode esd fam fbcon flac foomaticdb fortran gcc64 gd gdbm gif gnome gtk gtk2 hardened hardenedphp icq imlib irc jpeg libwww mad maildir mikmod motif ncurses nls on-the-fly-crypt opengl oss pam pdflib perl php png python qt readline sdl slang spell ssl tcpd tiff truetype truetype-fonts type1-fonts udev unicode usb userlocales xml2 xv zlib linguas_de userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LDFLAGS


(And yes this box is really running hardened and a hardened kernel w PaX. Works quite fine (most of the time). :)
Back to top
View user's profile Send private message
H0bb3z
Tux's lil' helper
Tux's lil' helper


Joined: 28 May 2003
Posts: 121
Location: in the transmogrifier

PostPosted: Thu Nov 03, 2005 9:04 pm    Post subject: Update Reply with quote

I've unmerged dev-php/php-4.4.0-r1 and dev-php/mod_php then emerged dev-lang/php (along with eselect-php and eselect prerequisites) and things compiled just fine. I've had to do some Apache2 modifications (-D PHP5), and all seems well.

Thanks for the tip CHTEKK -- it seemed to work for me...
_________________
-H0bb3z-
-----------
Intel QX9770 | 6Gb DDR3 | ATI 4870 HD 1Gb | 2xSeagate 1Tb SATAs
Running Funtoo Core2 build
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum